
Foreman - Bug #34375

Facets do not allow emptying their relations through mass assignment

02/02/2022 12:30 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Plugin integration   

Target version: 3.1.2   

Difficulty:  Fixed in Releases: 3.1.2, 3.2.0, 3.3.0

Triaged: No Found in Releases:  

Bugzilla link: 2046573 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9083,

https://github.com/theforeman/foreman/p

ull/9111

  

Description

Facets do not allow passing empty values not to create empty asset in DB, but I believe it is not worth this not working eighter:

host.attributes = { facet_attributes: { facet_association_ids: [] }}

Causes: https://github.com/theforeman/foreman_puppet/issues/253

Associated revisions

Revision 92ac0e94 - 02/10/2022 03:54 PM - Ondřej Ezr

Fixes #34375 - allow passing empty attributes for facets (#9083)

Facets were rejecting empty attributes to not create empty facet.

Originally this was to fix an issue in 5d64eef2cba8e56ad39510c3bd1d724bd52762eb

Tho we want to pass empty attributes to facets that already exists.

We just don't want to create empty ones.

History

#1 - 02/02/2022 12:30 PM - Ondřej Ezr

- Target version set to 3.1.2

#2 - 02/02/2022 12:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/9083 added

#3 - 02/02/2022 12:46 PM - Ondřej Ezr

- Bugzilla link set to 2046573

#4 - 02/10/2022 03:54 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#5 - 02/10/2022 04:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|92ac0e94694951f293018220376f3e7f9216c703.

#6 - 02/11/2022 04:02 PM - Ondřej Ezr

- Fixed in Releases 3.3.0 added
- Fixed in Releases deleted (3.2.0)

#7 - 02/21/2022 06:30 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9111 added

#8 - 02/22/2022 10:09 AM - The Foreman Bot

- Fixed in Releases 3.1.3 added

#9 - 02/22/2022 10:11 AM - Amit Upadhye

- Fixed in Releases 3.1.2 added

- Fixed in Releases deleted (3.1.3)

#10 - 03/03/2022 04:14 PM - Amit Upadhye

- Fixed in Releases 3.2.0 added
